Bug 839652 - Review Request: rubygem-colored - Add some color to your life
Summary: Review Request: rubygem-colored - Add some color to your life
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mo Morsi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-12 13:44 UTC by Maros Zatko
Modified: 2013-01-23 16:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-21 03:55:01 UTC
Type: ---
mmorsi: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Maros Zatko 2012-07-12 13:44:56 UTC
Spec URL: http://v3.sk/~hexo/rpm/colored.spec
SRPM URL: http://v3.sk/~hexo/rpm/rubygem-colored-1.2-1.fc17.src.rpm
Description: >> puts "this is red".red
>> puts "this is red with a blue background (read: ugly)".red_on_blue
>> puts "this is red with an underline".red.underline
>> puts "this is really bold and really blue".bold.blue
>> logger.debug "hey this is broken!".red_on_yellow     # in rails
>> puts Color.red "This is red" # but this part is mostly untested
Fedora Account System Username: mzatko

Comment 1 Michael S. 2012-07-28 12:44:36 UTC
Doesn't build in mock, rubygem-yars is missing in buildRequires ( that, or remove the file from %files )

Comment 2 Maros Zatko 2012-09-03 15:37:13 UTC
Thanks for your review, I've updated spec, so

Spec URL: http://v3.sk/~hexo/rpm/colored.spec
SRPM URL: http://v3.sk/~hexo/rpm/rubygem-colored-1.2-2.fc17.src.rpm
Description: >> puts "this is red".red
>> puts "this is red with a blue background (read: ugly)".red_on_blue
>> puts "this is red with an underline".red.underline
>> puts "this is really bold and really blue".bold.blue
>> logger.debug "hey this is broken!".red_on_yellow     # in rails
>> puts Color.red "This is red" # but this part is mostly untested
Fedora Account System Username: mzatko

Comment 3 Mo Morsi 2012-10-02 20:16:56 UTC
Maros some comments:

* Please change the summary / description to be in accordance to packaging guidelines http://fedoraproject.org/wiki/Packaging:Guidelines#Summary_and_description

Since there is almost no documentation / comments we can draw upon, we can probably just use something similar to the following for both:

"Rubygem extending the ruby string class to include methods that generates colored terminal output"

* Why do you exclude %{gem_cache}?

* Please move %{gem_instdir}/test/colored_test.rb into the doc subpackage

* Since the yardoc dir is only created if rubygem-yard is present you should remove that reference from the specfile all together and rebuild the srpm w/out yard present on your system

Thanks

Comment 4 Maros Zatko 2012-10-08 17:02:04 UTC
Updated

Spec URL: http://v3.sk/~hexo/rpm/rubygem-colored.spec
SRPM URL: http://v3.sk/~hexo/rpm/rubygem-colored-1.2-3.fc17.src.rpm
Description: Rubygem extending the ruby string class to include methods that generates
colored terminal output.
Fedora Account System Username: mzatko

Comment 5 Mo Morsi 2012-10-10 14:57:13 UTC
Everything looks good, APPROVED.

Comment 6 Maros Zatko 2012-10-22 14:39:22 UTC
New Package SCM Request
=======================
Package Name: rubygem-temple
Short Description: Extends ruby string class in order to colorize terminal output
Owners: mzatko
Branches: f17 f18
InitialCC:

Comment 7 Gwyn Ciesla 2012-10-24 10:58:36 UTC
WARNING: Requested package name rubygem-temple doesn't match bug summary
rubygem-colored

Comment 8 Maros Zatko 2012-10-26 14:24:28 UTC
New Package SCM Request
=======================
Package Name: rubygem-colored
Short Description: Extends ruby string class in order to colorize terminal output
Owners: mzatko
Branches: f17 f18
InitialCC:

Comment 9 Gwyn Ciesla 2012-10-26 14:28:52 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2012-11-08 15:08:44 UTC
rubygem-colored-1.2-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-colored-1.2-4.fc18

Comment 11 Fedora Update System 2012-11-08 15:10:28 UTC
rubygem-colored-1.2-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-colored-1.2-4.fc17

Comment 12 Fedora Update System 2012-11-09 03:19:56 UTC
rubygem-colored-1.2-4.fc18 has been pushed to the Fedora 18 testing repository.

Comment 13 Fedora Update System 2012-11-21 03:55:03 UTC
rubygem-colored-1.2-4.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Fedora Update System 2013-01-23 16:17:09 UTC
rubygem-colored-1.2-4.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.